List invoices
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/invoices \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/invoices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Invoices retrieved successfully",
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440001",
"date": "2024-01-15",
"due_date": "2024-02-15",
"narration": "Web development services",
"total_amount": 1000,
"amount_paid": 0,
"balance": 1000,
"currency": "USD",
"source_uuid": null
}
],
"meta": {
"page": 1,
"limit": 20,
"total": 1
}
}Invoices
List invoices
GET
/
invoices
List invoices
curl --request GET \
--url https://staging-api.usetyms.com/v1/adam/invoices \
--header 'X-API-Key: <api-key>'import requests
url = "https://staging-api.usetyms.com/v1/adam/invoices"
headers = {"X-API-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-Key': '<api-key>'}};
fetch('https://staging-api.usetyms.com/v1/adam/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"status": "success",
"message": "Invoices retrieved successfully",
"data": [
{
"uuid": "550e8400-e29b-41d4-a716-446655440001",
"date": "2024-01-15",
"due_date": "2024-02-15",
"narration": "Web development services",
"total_amount": 1000,
"amount_paid": 0,
"balance": 1000,
"currency": "USD",
"source_uuid": null
}
],
"meta": {
"page": 1,
"limit": 20,
"total": 1
}
}Invoices are amounts you bill customers for goods or services, creating accounts receivable until paid.
Authorizations
Business secret tyms_sk_... for business-scoped routes. Partner secret for register-business and referred-business distributor routes.
Query Parameters
Available options:
asc, desc Response
200 - application/json
Paginated invoice list